<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="cb7b6a84-9179-4588-9374-31a70f785e65" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/src/main/resources/mapper/template/SmartIdentityMapper.xml" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/resources/mapper/template/SmartIdentityMapper.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/mybatis_plus-0.0.1-SNAPSHOT.jar.original" beforeDir="false" afterPath="$PROJECT_DIR$/target/mybatis_plus-0.0.1-SNAPSHOT.jar.original" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/target/" />
    <ignored path="$PROJECT_DIR$/classes/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DatabaseView">
    <option name="SHOW_INTERMEDIATE" value="true" />
    <option name="GROUP_DATA_SOURCES" value="true" />
    <option name="GROUP_SCHEMA" value="true" />
    <option name="GROUP_CONTENTS" value="false" />
    <option name="SORT_POSITIONED" value="false" />
    <option name="SHOW_EMPTY_GROUPS" value="false" />
    <option name="AUTO_SCROLL_FROM_SOURCE" value="false" />
    <option name="HIDDEN_KINDS">
      <set />
    </option>
    <expand />
    <select />
  </component>
  <component name="DefaultGradleProjectSettings">
    <option name="isMigrated" value="true" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/template/controller/SmartApplyController.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="299">
              <caret line="134" column="84" selection-start-line="134" selection-start-column="61" selection-end-line="134" selection-end-column="84" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/src/main/resources/mapper/template/SmartIdentityMapper.xml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="141">
              <caret line="11" column="45" selection-start-line="11" selection-start-column="45" selection-end-line="11" selection-end-column="45" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>tree</find>
      <find>父级</find>
      <find>warningDepartmentTree</find>
      <find>QueryDepartmentTreeRecords</find>
      <find>&quot;/&quot;</find>
      <find>smartVisitorPageByUserId</find>
      <find>like</find>
      <find>queryVisitorPage</find>
      <find>appointmentPageRecord</find>
      <find>insertSmartScore</find>
      <find>SYSTEM_ERROR</find>
      <find>deleteSmartVisitorById</find>
      <find>com.alibaba</find>
      <find>querySmartScorePage</find>
      <find>spv</find>
      <find>queryAffiliateUserById</find>
      <find>QueryParentDepartments</find>
      <find>insertSmartApply</find>
      <find>querySmartSecordPage</find>
      <find>.join</find>
      <find>jsonObject.put(&quot;token&quot;</find>
      <find>.put(&quot;token</find>
      <find>vertify</find>
      <find>queryPageSmartUser</find>
      <find>affiliates</find>
      <find>queryIdentityApplyById</find>
      <find>&quot;小程序</find>
      <find>queryAppletApplys</find>
      <find>applys</find>
      <find>deleteSmartApplyById</find>
    </findStrings>
    <replaceStrings>
      <replace>班级</replace>
      <replace>年级</replace>
      <replace>考勤</replace>
      <replace>Score</replace>
      <replace>成绩</replace>
      <replace>Class</replace>
      <replace>updateSmartDepartmentById</replace>
      <replace>\</replace>
      <replace>菜单</replace>
      <replace>Menu</replace>
      <replace>职务</replace>
      <replace>Duties</replace>
      <replace>Qrcode</replace>
    </replaceStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/main/java/com/template/model/vo/QrcodeImageVo.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/controller/SmartQrcodeController.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/model/pojo/SmartUser.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/model/vo/IdentityApplyVo.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/services/SmartApplyService.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/api/SmartIdentityControllerAPI.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/api/SmartApplyControllerAPI.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/model/vo/UserVo.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/model/vo/WechatUserVo.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/api/WechatScanLoginControllerAPI.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/model/vo/AffiliateParentVo.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/mapper/SmartUserMapper.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/api/SmartVisitorControllerAPI.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/services/SmartVisitorService.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/services/impl/SmartVisitorServiceImpl.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/mapper/SmartVisitorMapper.java" />
        <option value="$PROJECT_DIR$/src/main/resources/mapper/template/SmartVisitorMapper.xml" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/model/request/insertScoreRequest.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/model/pojo/SmartScore.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/model/request/updateScoreRequest.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/model/pojo/SmartVisitor.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/model/vo/BsStaffNoVo.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/model/vo/BsVisitorVo.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/common/exception/EmsExceptionHandler.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/model/vo/BsReservationVo.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/common/utils/Md5Utils.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/controller/SmartVisitorController.java" />
        <option value="$PROJECT_DIR$/src/main/resources/mapper/template/SmartUserMapper.xml" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/model/vo/ScoreVo.java" />
        <option value="$PROJECT_DIR$/src/main/resources/mapper/template/SmartScoreMapper.xml" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/model/vo/ScorePageVo.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/controller/SmartScoreController.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/model/vo/AffiliateUserVo.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/model/pojo/SmartApply.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/mapper/SmartIdentityMapper.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/services/impl/SmartIdentityServiceImpl.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/services/SmartIdentityService.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/controller/SmartApplyController.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/common/utils/JWTUtil.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/controller/WechatScanLoginController.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/controller/LoginController.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/core/JwtAuthenticationInterceptor.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/api/SmartUserControllerAPI.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/services/SmartUserService.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/services/impl/SmartUserServiceImpl.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/model/request/bindStudentRequest.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/controller/SmartUserController.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/model/vo/ApplysVo.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/services/impl/SmartApplyServiceImpl.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/controller/SmartIdentityController.java" />
        <option value="$PROJECT_DIR$/src/main/resources/mapper/template/SmartIdentityMapper.xml" />
      </list>
    </option>
  </component>
  <component name="MavenImportPreferences">
    <option name="generalSettings">
      <MavenGeneralSettings>
        <option name="mavenHome" value="D:/Software/Develop/Maven/apache-maven-3.3.9" />
        <option name="userSettingsFile" value="D:\Software\Develop\Maven\apache-maven-3.3.9\conf\settings.xml" />
      </MavenGeneralSettings>
    </option>
  </component>
  <component name="MavenProjectNavigator">
    <treeState>
      <expand>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="mybatis_plus" type="9519ce18:MavenProjectsStructure$ProjectNode" />
        </path>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="mybatis_plus" type="9519ce18:MavenProjectsStructure$ProjectNode" />
          <item name="Lifecycle" type="58874e2:MavenProjectsStructure$LifecycleNode" />
        </path>
      </expand>
      <select />
    </treeState>
  </component>
  <component name="MavenRunner">
    <option name="skipTests" value="true" />
  </component>
  <component name="ProjectFrameBounds">
    <option name="x" value="-7" />
    <option name="width" value="958" />
    <option name="height" value="1039" />
  </component>
  <component name="ProjectId" id="2b6sxhjtfk5YsWPguK3OYQgIn3k" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="backend_code" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="backend_code" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="backend_code" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="backend_code" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="backend_code" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="template" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="backend_code" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="template" type="462c0819:PsiDirectoryNode" />
              <item name="api" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="backend_code" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="template" type="462c0819:PsiDirectoryNode" />
              <item name="common" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="backend_code" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="template" type="462c0819:PsiDirectoryNode" />
              <item name="config" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="backend_code" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="template" type="462c0819:PsiDirectoryNode" />
              <item name="controller" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="backend_code" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="template" type="462c0819:PsiDirectoryNode" />
              <item name="core" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="backend_code" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="template" type="462c0819:PsiDirectoryNode" />
              <item name="handle" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="backend_code" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="template" type="462c0819:PsiDirectoryNode" />
              <item name="handler" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="backend_code" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="template" type="462c0819:PsiDirectoryNode" />
              <item name="mapper" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="backend_code" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="template" type="462c0819:PsiDirectoryNode" />
              <item name="model" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="backend_code" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="template" type="462c0819:PsiDirectoryNode" />
              <item name="model" type="462c0819:PsiDirectoryNode" />
              <item name="request" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="backend_code" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="template" type="462c0819:PsiDirectoryNode" />
              <item name="model" type="462c0819:PsiDirectoryNode" />
              <item name="vo" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="backend_code" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="template" type="462c0819:PsiDirectoryNode" />
              <item name="services" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="backend_code" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="template" type="462c0819:PsiDirectoryNode" />
              <item name="services" type="462c0819:PsiDirectoryNode" />
              <item name="impl" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="backend_code" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis_plus" type="b2602c69:ProjectViewProjectNode" />
              <item name="backend_code" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
              <item name="template" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="PackagesPane" />
      <pane id="Scope" />
    </panes>
  </component>
  <component name="ProjectViewState">
    <option name="showExcludedFiles" value="false" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="RequestMappingsPanelOrder0" value="0" />
    <property name="RequestMappingsPanelOrder1" value="1" />
    <property name="RequestMappingsPanelWidth0" value="75" />
    <property name="RequestMappingsPanelWidth1" value="75" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/../../民宿/mhotel" />
    <property name="settings.editor.selected.configurable" value="MavenSettings" />
  </component>
  <component name="RebelAgentSelection">
    <selection>jr</selection>
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="E:\company\backend_code\src\main\resources\mapper\template" />
      <recent name="E:\company\backend_code\src\main\resources\mapper" />
      <recent name="D:\Bingo\Desktop\工作内容\万载三中\backend_code\src\main\resources\mapper\template" />
    </key>
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="com.template.model.request" />
      <recent name="com.template.model.vo" />
      <recent name="com.template.model.enumModel" />
      <recent name="com.template.api" />
      <recent name="com.template.config" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="E:\company\backend_code\src\main\java\com\template\common\utils" />
      <recent name="D:\Bingo\Desktop\工作内容\万载三中\backend_code\src\main\java\com\template\model\seewo" />
      <recent name="D:\Bingo\Desktop\工作内容\万载三中\backend_code\src\main\java\com\template\model\pojo" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Spring Boot.MybatisPlusApplication">
    <configuration name="AesTestOne" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.template.common.utils.AesTestOne" />
      <module name="mybatis_plus" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.template.common.utils.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="AutoCode" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.template.AutoCode" />
      <module name="mybatis_plus" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.template.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="GetCameraPreviewURL" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.template.common.utils.GetCameraPreviewURL" />
      <module name="mybatis_plus" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.template.common.utils.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="SmartUserController" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.template.controller.SmartUserController" />
      <module name="mybatis_plus" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.template.controller.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="WechatScanLoginController" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.template.controller.WechatScanLoginController" />
      <module name="mybatis_plus" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.template.controller.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="MybatisPlusApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="mybatis_plus" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.template.MybatisPlusApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Application.WechatScanLoginController" />
        <item itemvalue="Application.AutoCode" />
        <item itemvalue="Application.GetCameraPreviewURL" />
        <item itemvalue="Application.SmartUserController" />
        <item itemvalue="Application.AesTestOne" />
      </list>
    </recent_temporary>
  </component>
  <component name="SpellCheckerSettings" BundledDictionaries="0" Folders="0" CustomDictionaries="0" Dictionaries="0" CorrectionsLimit="5" DefaultDictionary="application-level" UseSingleDictionary="true" />
  <component name="SpringBootOptions">
    <option name="showAdditionalConfigNotification" value="false" />
  </component>
  <component name="SshConsoleOptionsProvider">
    <option name="myEncoding" value="UTF-8" />
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="cb7b6a84-9179-4588-9374-31a70f785e65" name="Default Changelist" comment="" />
      <created>1702866458695</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1702866458695</updated>
      <workItem from="1702866461524" duration="205500000" />
      <workItem from="1704348819914" duration="281000" />
      <workItem from="1704349476881" duration="11710000" />
      <workItem from="1704435762823" duration="32715000" />
      <workItem from="1704760999320" duration="4756000" />
      <workItem from="1704765975943" duration="72000" />
      <workItem from="1704766062941" duration="43011000" />
      <workItem from="1704936821369" duration="29299000" />
      <workItem from="1705280443643" duration="25331000" />
      <workItem from="1705388695984" duration="38689000" />
      <workItem from="1705547111998" duration="20000" />
      <workItem from="1705388695984" duration="51258000" />
      <workItem from="1705885614332" duration="695000" />
      <workItem from="1705886328968" duration="31068000" />
      <workItem from="1705992981607" duration="21980000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="468006000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1936" height="1048" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info id="JRebel" order="0" side_tool="true" />
      <window_info id="Image Layers" order="1" />
      <window_info id="Capture Tool" order="2" />
      <window_info id="UI Designer" order="3" />
      <window_info id="Favorites" order="4" side_tool="true" />
      <window_info id="Designer" order="5" />
      <window_info id="Web" order="6" side_tool="true" />
      <window_info id="Structure" order="7" side_tool="true" weight="0.25" />
      <window_info active="true" content_ui="combo" id="Project" order="8" visible="true" weight="0.123667374" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" visible="true" weight="0.30196938" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.18599562" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Spring" order="7" />
      <window_info anchor="bottom" id="Terminal" order="8" />
      <window_info anchor="bottom" id="Docker" order="9" />
      <window_info anchor="bottom" id="Event Log" order="10" side_tool="true" />
      <window_info anchor="bottom" id="Messages" order="11" weight="0.40153173" />
      <window_info anchor="bottom" id="Java Enterprise" order="12" />
      <window_info anchor="bottom" id="Database Changes" order="13" />
      <window_info anchor="bottom" id="Version Control" order="14" />
      <window_info anchor="bottom" id="JRebel Executor" order="15" />
      <window_info anchor="bottom" id="JRebel Console" order="16" side_tool="true" />
      <window_info anchor="right" id="Maven" order="0" weight="0.83964366" />
      <window_info anchor="right" id="Palette" order="1" />
      <window_info anchor="right" id="Capture Analysis" order="2" />
      <window_info anchor="right" id="Database" order="3" weight="0.32942432" />
      <window_info anchor="right" id="Palette&#9;" order="4" />
      <window_info anchor="right" id="Theme Preview" order="5" />
      <window_info anchor="right" id="JRebel Setup Guide" order="6" side_tool="true" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="7" type="SLIDING" weight="0.4" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="8" weight="0.25" />
      <window_info anchor="right" id="Ant Build" order="9" weight="0.2489339" />
      <window_info anchor="right" id="Bean Validation" order="10" weight="0.32995737" />
    </layout>
    <layout-to-restore>
      <window_info id="JRebel" order="0" side_tool="true" />
      <window_info id="Image Layers" order="1" />
      <window_info id="Capture Tool" order="2" />
      <window_info id="UI Designer" order="3" />
      <window_info id="Favorites" order="4" side_tool="true" />
      <window_info id="Designer" order="5" />
      <window_info id="Web" order="6" side_tool="true" />
      <window_info id="Structure" order="7" side_tool="true" weight="0.25" />
      <window_info active="true" content_ui="combo" id="Project" order="8" visible="true" weight="0.13272922" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.30497238" />
      <window_info anchor="bottom" id="Debug" order="3" visible="true" weight="0.46498907" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Spring" order="7" />
      <window_info anchor="bottom" id="Terminal" order="8" />
      <window_info anchor="bottom" id="Docker" order="9" />
      <window_info anchor="bottom" id="Event Log" order="10" side_tool="true" />
      <window_info anchor="bottom" id="Messages" order="11" weight="0.40220994" />
      <window_info anchor="bottom" id="Java Enterprise" order="12" />
      <window_info anchor="bottom" id="Database Changes" order="13" />
      <window_info anchor="bottom" id="Version Control" order="14" />
      <window_info anchor="bottom" id="JRebel Executor" order="15" />
      <window_info anchor="bottom" id="JRebel Console" order="16" side_tool="true" />
      <window_info anchor="right" id="Maven" order="0" weight="0.46268657" />
      <window_info anchor="right" id="Palette" order="1" />
      <window_info anchor="right" id="Capture Analysis" order="2" />
      <window_info anchor="right" id="Database" order="3" weight="0.32942432" />
      <window_info anchor="right" id="Palette&#9;" order="4" />
      <window_info anchor="right" id="Theme Preview" order="5" />
      <window_info anchor="right" id="JRebel Setup Guide" order="6" side_tool="true" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="7" type="SLIDING" weight="0.4" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="8" weight="0.25" />
      <window_info anchor="right" id="Ant Build" order="9" weight="0.2489339" />
      <window_info anchor="right" id="Bean Validation" order="10" weight="0.32995737" />
    </layout-to-restore>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State>
              <option name="RECENTLY_FILTERED_USER_GROUPS">
                <collection />
              </option>
              <option name="RECENTLY_FILTERED_BRANCH_GROUPS">
                <collection />
              </option>
            </State>
          </value>
        </entry>
      </map>
    </option>
    <option name="RECENT_FILTERS">
      <map>
        <entry key="Branch">
          <value>
            <list />
          </value>
        </entry>
        <entry key="User">
          <value>
            <list />
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/com/template/controller/WechatScanLoginController.java</url>
          <line>54</line>
          <properties />
          <option name="timeStamp" value="57" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/com/template/controller/SmartAttendanceController.java</url>
          <line>81</line>
          <properties />
          <option name="timeStamp" value="59" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/com/template/controller/SmartScoreController.java</url>
          <line>494</line>
          <properties />
          <option name="timeStamp" value="76" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/com/template/controller/SmartGradeController.java</url>
          <line>139</line>
          <properties />
          <option name="timeStamp" value="98" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/com/template/common/utils/AesTestOne.java</url>
          <line>52</line>
          <properties />
          <option name="timeStamp" value="99" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/com/template/common/utils/AesTestOne.java</url>
          <line>71</line>
          <properties />
          <option name="timeStamp" value="100" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/com/template/controller/SmartUserController.java</url>
          <line>1797</line>
          <properties />
          <option name="timeStamp" value="113" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/com/template/controller/SmartApplyController.java</url>
          <line>135</line>
          <properties />
          <option name="timeStamp" value="114" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
  <component name="antWorkspaceConfiguration">
    <option name="IS_AUTOSCROLL_TO_SOURCE" value="false" />
    <option name="FILTER_TARGETS" value="false" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/model/enumModel/eExamineStatu.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="230">
          <caret line="10" column="4" selection-start-line="10" selection-start-column="4" selection-end-line="10" selection-end-column="4" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/common/result/ResponseStatusEnum.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="437">
          <caret line="19" column="16" selection-start-line="19" selection-start-column="4" selection-end-line="19" selection-end-column="16" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/common/utils/Md5Utils.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="92">
          <caret line="4" column="28" selection-start-line="4" selection-start-column="28" selection-end-line="4" selection-end-column="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/common/utils/ExcelUtil3.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="115">
          <caret line="5" column="32" selection-start-line="5" selection-start-column="32" selection-end-line="5" selection-end-column="32" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/common/utils/WarningEntity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="161">
          <caret line="8" column="5" selection-start-line="8" selection-start-column="5" selection-end-line="8" selection-end-column="5" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="4209">
          <caret line="183" column="28" selection-start-line="183" selection-start-column="28" selection-end-line="183" selection-end-column="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/model/vo/BsReservationVo.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="437">
          <caret line="19" column="23" selection-start-line="19" selection-start-column="23" selection-end-line="19" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/target/classes/mapper/template/SmartScoreMapper.xml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/mapper/SmartScoreMapper.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="263">
          <caret line="21" column="42" selection-start-line="21" selection-start-column="23" selection-end-line="21" selection-end-column="42" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/common/exception/EmsExceptionHandler.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="62">
          <caret line="68" selection-start-line="68" selection-end-line="68" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/model/enumModel/eApproveStatu.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="248">
          <caret line="12" column="10" selection-start-line="12" selection-start-column="4" selection-end-line="12" selection-end-column="10" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/services/impl/SmartScoreServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="271">
          <caret line="30" selection-start-line="30" selection-end-line="30" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/model/vo/GradeVo.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="64">
          <caret line="11" column="13" selection-start-line="11" selection-start-column="13" selection-end-line="11" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/controller/SmartVisitorController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="360">
          <caret line="145" column="19" selection-start-line="145" selection-start-column="19" selection-end-line="145" selection-end-column="19" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="method#parentsAppointment#0;class#SmartVisitorController#0" />
            <element signature="method#otherAppointment#0;class#SmartVisitorController#0" />
            <element signature="method#appointmentPageRecord#0;class#SmartVisitorController#0" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/mapper/template/SmartScoreManageMapper.xml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/model/vo/ScoreVo.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="491">
          <caret line="38" column="11" selection-start-line="38" selection-start-column="11" selection-end-line="38" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/model/vo/ScorePageVo.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="353">
          <caret line="38" column="11" selection-start-line="38" selection-start-column="11" selection-end-line="38" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/controller/SmartScoreController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="176">
          <caret line="163" column="60" selection-start-line="163" selection-start-column="60" selection-end-line="163" selection-end-column="60" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/mapper/template/SmartUserMapper.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="245">
          <caret line="11" column="38" selection-start-line="11" selection-start-column="16" selection-end-line="11" selection-end-column="38" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/model/vo/AffiliateUserVo.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="493">
          <caret line="33" column="11" selection-start-line="33" selection-start-column="11" selection-end-line="33" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/model/vo/WechatUserVo.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="276">
          <caret line="179" column="29" selection-start-line="179" selection-start-column="29" selection-end-line="179" selection-end-column="29" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/mapper/template/SmartScoreMapper.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="552">
          <caret line="48" column="13" lean-forward="true" selection-start-line="5" selection-start-column="4" selection-end-line="48" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/model/pojo/SmartIdentity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="824">
          <caret line="75" column="27" selection-start-line="75" selection-start-column="20" selection-end-line="75" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/mapper/SmartGradeMapper.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="299">
          <caret line="15" column="17" selection-start-line="15" selection-start-column="17" selection-end-line="15" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/mapper/SmartUserMapper.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="322">
          <caret line="25" column="74" lean-forward="true" selection-start-line="25" selection-start-column="4" selection-end-line="25" selection-end-column="74" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/mapper/SmartIdentityMapper.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="345">
          <caret line="21" column="4" selection-start-line="21" selection-start-column="4" selection-end-line="21" selection-end-column="73" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/services/impl/SmartIdentityServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="617">
          <caret line="70" column="62" lean-forward="true" selection-start-line="70" selection-start-column="11" selection-end-line="70" selection-end-column="62" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/services/SmartIdentityService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="575">
          <caret line="30" column="47" selection-start-line="30" selection-start-column="24" selection-end-line="30" selection-end-column="47" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/common/utils/AesUtils.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="295">
          <caret line="29" column="25" selection-start-line="29" selection-start-column="25" selection-end-line="29" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/handle/NonStaticResourceHttpRequestHandler.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="253">
          <caret line="17" column="13" selection-start-line="17" selection-start-column="13" selection-end-line="17" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/handler/MyMetaObjectHandler.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="322">
          <caret line="24" column="94" selection-start-line="24" selection-start-column="94" selection-end-line="24" selection-end-column="94" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/api/WechatScanLoginControllerAPI.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="245">
          <caret line="81" column="31" selection-start-line="81" selection-start-column="24" selection-end-line="81" selection-end-column="31" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/common/utils/JWTUtil.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="421">
          <caret line="50" column="111" selection-start-line="50" selection-start-column="111" selection-end-line="50" selection-end-column="111" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/controller/WechatScanLoginController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="306">
          <caret line="426" column="59" selection-start-line="426" selection-start-column="59" selection-end-line="426" selection-end-column="59" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/controller/LoginController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="300">
          <caret line="116" selection-start-line="116" selection-end-line="116" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/core/JwtAuthenticationInterceptor.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="276">
          <caret line="49" column="24" lean-forward="true" selection-start-line="49" selection-start-column="24" selection-end-line="49" selection-end-column="24" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/services/impl/SmartUserServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="334">
          <caret line="189" column="34" selection-start-line="189" selection-start-column="21" selection-end-line="189" selection-end-column="34" />
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk1.8.0_181/src.zip!/java/util/stream/Stream.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="203">
          <caret line="853" column="8" selection-start-line="853" selection-start-column="4" selection-end-line="853" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/model/request/insertSmartUserRequest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="203">
          <caret line="111" column="25" selection-start-line="111" selection-start-column="25" selection-end-line="111" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/api/SmartUserControllerAPI.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="357">
          <caret line="124" column="60" selection-start-line="124" selection-start-column="60" selection-end-line="124" selection-end-column="60" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/model/request/bindStudentRequest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="147">
          <caret line="31" column="9" selection-start-line="31" selection-start-column="9" selection-end-line="31" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/services/SmartUserService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="380">
          <caret line="66" column="13" selection-start-line="66" selection-start-column="4" selection-end-line="66" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/springframework/spring-web/5.3.22/spring-web-5.3.22-sources.jar!/org/springframework/web/method/support/InvocableHandlerMethod.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="149">
          <caret line="204" column="50" lean-forward="true" selection-start-line="204" selection-start-column="50" selection-end-line="204" selection-end-column="50" />
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk1.8.0_181/src.zip!/java/util/List.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="31">
          <caret line="237" column="12" selection-start-line="237" selection-start-column="12" selection-end-line="237" selection-end-column="12" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/controller/SmartUserController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="58">
          <caret line="1846" column="45" selection-start-line="1846" selection-start-column="45" selection-end-line="1846" selection-end-column="45" />
          <folding>
            <element signature="method#importZipUsers#0;class#SmartUserController#0" />
            <element signature="e#44515#49821#1" />
            <element signature="e#49920#49944#0" />
            <element signature="e#50206#50223#0" />
            <element signature="e#52774#55331#1" />
            <element signature="e#55345#55362#0" />
            <element signature="method#updateSmartUserById#0;class#SmartUserController#0" />
            <element signature="e#63181#67302#1" />
            <element signature="e#67400#67417#0" />
            <element signature="method#queryPageSmartUser#0;class#SmartUserController#0" />
            <element signature="method#smartUserExport#0;class#SmartUserController#0" />
            <element signature="method#QueryDepartmentTreeRecords#0;class#SmartUserController#0" />
            <element signature="method#QueryParentDepartments#0;class#SmartUserController#0" />
            <element signature="method#deleteSmartUserById#0;class#SmartUserController#0" />
            <element signature="method#queryAffiliateUserById#0;class#SmartUserController#0" />
            <element signature="method#downloadUserExcel#0;class#SmartUserController#0" />
            <element signature="method#queryStudents#0;class#SmartUserController#0" />
            <element signature="method#queryInfoData#0;class#SmartUserController#0" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/model/vo/ApplysVo.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="920">
          <caret line="40" column="27" selection-start-line="40" selection-start-column="27" selection-end-line="40" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/model/pojo/SmartApply.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-142">
          <caret line="30" column="13" selection-start-line="30" selection-start-column="13" selection-end-line="30" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/services/impl/SmartApplyServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="26">
          <caret line="69" column="5" lean-forward="true" selection-start-line="69" selection-start-column="5" selection-end-line="69" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/controller/SmartIdentityController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="361">
          <caret line="189" column="62" selection-start-line="189" selection-start-column="62" selection-end-line="189" selection-end-column="62" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/controller/SmartApplyController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="299">
          <caret line="134" column="84" selection-start-line="134" selection-start-column="61" selection-end-line="134" selection-end-column="84" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/mapper/template/SmartIdentityMapper.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="141">
          <caret line="11" column="45" selection-start-line="11" selection-start-column="45" selection-end-line="11" selection-end-column="45" />
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ProjectJDKs.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
  <component name="mavenExecuteGoalHistory">
    <option value="$PROJECT_DIR$" />
    <option value="install:install-file &quot;-Dfile=D:\Bingo\Desktop\工作内容\万载三中\希沃\lib\openplatform-web%2Fopen-sdk-java-2.0.2.jar&quot; &quot;-DgroupId=open.platform&quot; &quot;-DartifactId=platform&quot; &quot;-Dversion=1.0&quot; &quot;-Dpackaging=jar&quot;" />
  </component>
</project>